Package org.springframework.beans

# Interface ConfigurablePropertyAccessor

All Superinterfaces:
  `PropertyAccessor`, `PropertyEditorRegistry`, `TypeConverter`

All Known Subinterfaces:
  `BeanWrapper`

All Known Implementing Classes:
  `AbstractNestablePropertyAccessor`, `AbstractPropertyAccessor`, `BeanWrapperImpl`, `DirectFieldAccessor`

public interface ConfigurablePropertyAccessor extends PropertyAccessor, PropertyEditorRegistry, TypeConverter
Interface that encapsulates configuration methods for a PropertyAccessor. Also extends the PropertyEditorRegistry interface, which defines methods for PropertyEditor management.

Serves as base interface for `BeanWrapper`.

Since:
  2.0
Author:
  Juergen Hoeller, Stephane Nicoll
See Also:
  - `BeanWrapper`

## Field Summary

### Fields inherited from interface org.springframework.beans.PropertyAccessor

`NESTED_PROPERTY_SEPARATOR, NESTED_PROPERTY_SEPARATOR_CHAR, PROPERTY_KEY_PREFIX, PROPERTY_KEY_PREFIX_CHAR, PROPERTY_KEY_SUFFIX, PROPERTY_KEY_SUFFIX_CHAR`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.core.convert.ConversionService`
`getConversionService()`
Return the associated ConversionService, if any.
`boolean`
`isAutoGrowNestedPaths()`
Return whether "auto-growing" of nested paths has been activated.
`boolean`
`isExtractOldValueForEditor()`
Return whether to extract the old property value when applying a property editor to a new value for a property.
`void`
`setAutoGrowNestedPaths(boolean autoGrowNestedPaths)`
Set whether this instance should attempt to "auto-grow" a nested path that contains a `null` value.
`void`
`setConversionService(org.springframework.core.convert.ConversionService conversionService)`
Specify a `ConversionService` to use for converting property values, as an alternative to JavaBeans PropertyEditors.
`void`
`setExtractOldValueForEditor(boolean extractOldValueForEditor)`
Set whether to extract the old property value when applying a property editor to a new value for a property.

### Methods inherited from interface org.springframework.beans.PropertyAccessor

`getPropertyType, getPropertyTypeDescriptor, getPropertyValue, isReadableProperty, isWritableProperty, setPropertyValue, setPropertyValue, setPropertyValues, setPropertyValues, setPropertyValues, setPropertyValues`

### Methods inherited from interface org.springframework.beans.PropertyEditorRegistry

`findCustomEditor, registerCustomEditor, registerCustomEditor`

### Methods inherited from interface org.springframework.beans.TypeConverter

`convertIfNecessary, convertIfNecessary, convertIfNecessary, convertIfNecessary`

## Method Details

### setConversionService

void setConversionService(@Nullable org.springframework.core.convert.ConversionService conversionService)
Specify a `ConversionService` to use for converting property values, as an alternative to JavaBeans PropertyEditors.

### getConversionService

@Nullable org.springframework.core.convert.ConversionService getConversionService()
Return the associated ConversionService, if any.

### setExtractOldValueForEditor

void setExtractOldValueForEditor(boolean extractOldValueForEditor)
Set whether to extract the old property value when applying a property editor to a new value for a property.

### isExtractOldValueForEditor

boolean isExtractOldValueForEditor()
Return whether to extract the old property value when applying a property editor to a new value for a property.

### setAutoGrowNestedPaths

void setAutoGrowNestedPaths(boolean autoGrowNestedPaths)
Set whether this instance should attempt to "auto-grow" a nested path that contains a `null` value.

If `true`, a `null` path location will be populated with a default object value and traversed instead of resulting in a `NullValueInNestedPathException`.

Default is `false` on a plain PropertyAccessor instance.

### isAutoGrowNestedPaths

boolean isAutoGrowNestedPaths()
Return whether "auto-growing" of nested paths has been activated.